package com.github.gkutiel.flip.apt;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.github.gkutiel.flip.res.Json;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.CLASS)
public @interface Cmd {
	String[] args() default {};
	String mime() default "";
	String path() default "";
	Class<? extends com.github.gkutiel.flip.Response> response() default Json.class;
}