package com.github.gkutiel.flip.plugin;

import java.util.Set;

import javax.lang.model.type.TypeMirror;

import com.github.gkutiel.flip.apt.Path;

public class CmdMethod {

	public final TypeMirror clazz;
	public final boolean isFliplet;
	public final Set<Method> filters;
	public final Method method;
	public final Path prefix;
	public final String[] args;
	public final String mime;
	public final String path;
	public final String resClass;

	// @formatter:off
	public CmdMethod(
		final TypeMirror clazz, 
		final boolean isFliplet, 
		final Set<Method> filters, 
		final Method method, 
		final Path prefix, 
		final String[] args, 
		final String mime, 
		final String path, 
		final String resClass
	) {
		this.clazz = clazz;
		this.isFliplet = isFliplet;
		this.filters = filters;
		this.method = method;
		this.prefix = prefix;
		this.args = args;
		this.mime = mime;
		this.path = path;
		this.resClass = resClass;
	}
	//@formatter:on
}